Name:		foomatic-db-hpijs
Version:	20090208
Release:	%mkrel 2
Summary:	Foomatic data for the HPIJS driver
License:	GPLv2
Group:		System/Servers
Url:		http://www.linuxprinting.org/
Source:		http://www.linuxprinting.org/download/foomatic/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	foomatic-db
BuildRequires:	foomatic-db-engine
BuildRequires:	ghostscript
BuildRequires:	hplip-hpijs >= 0.9.4
Requires:	foomatic-db
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate PPD (Postscript Printer Description) files and printer queues
for CUPS, LPD, GNUlpr, LPRng, PPR, and PDQ using the database. There
is also the possibility to read the PJL options out of PJL-capable
laser printers and take them into account at the driver description
file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).

This package contains the Foomatic data needed for HP's HPIJS driver.

%prep

##### FOOMATIC

# Source tree for installation
%setup -q

%build

# Check whether all printers in hpijs-printermap are supported by the
# current HPIJS
cat data-generators/hpijs/hpijs-printermap | grep -v '^\#' | cut -d '|' -f 3 | sort -u | perl -p -e 's/\n/\00/sg' > ijsmodels
cat ijsmodels | xargs -0 -t -iXXX gsc -q -dBATCH -dPARANOIDSAFER -dQUIET -dNOPAUSE -sDEVICE=ijs -sIjsServer=hpijs  -sDeviceManufacturer="HEWLETT-PACKARD" -sDeviceModel="XXX" -dIjsUseOutputFD -sOutputFile=/dev/null /usr/share/ghostscript/*/examples/alphabet.ps
rm -f ijsmodels

# Makefile generation ("./make_configure" for CVS snapshots)
./make_configure
# Fix for lib64 architectures, avoid patch
perl -pi -e "s@/usr/lib/(cups|pdq|ppr)@%{_libdir}/\1@g" configure
%configure
make

# Remove data for old patched HPIJS 1.2
rm -rf db/source/*/hpijs-rss*.xml

# Delete drivers with empty command line prototype, they would give
# unusable printer/driver combos.
FOOMATICDB=`pwd` %{_sbindir}/foomatic-cleanupdrivers

%install

rm -rf %{buildroot}

# Do not use "make" macro, as parallelized build of Foomatic does not
# work.

# Install data files
make	PREFIX=%{_prefix} \
        DESTDIR=%buildroot \
        install

# Temporary fix for paper jam problem of HP PhotoSmart 8xxx series
perl -e '$a = `cat %buildroot%{_datadir}/foomatic/db/source/opt/hpijs-InputSlot.xml`; $a =~ s:^([^\n]+\>printer/HP-PhotoSmart_8[^\n]+\n[^\n]+ev/hpijs-InputSlot-)Default(\<):$1Upper$2:smg; print $a;' > x
mv -f x %buildroot%{_datadir}/foomatic/db/source/opt/hpijs-InputSlot.xml
perl -p -i -e 's:(\<enum_val id="ev/hpijs-InputSlot-Default"\>):$1
    <constraints>
     <constraint sense='false'>
      <driver>hpijs</driver>
      <printer>printer/HP-PhotoSmart_8100</printer>
     </constraint>
     <constraint sense='false'>
      <driver>hpijs</driver>
      <printer>printer/HP-PhotoSmart_8200</printer>
     </constraint>
     <constraint sense='false'>
      <driver>hpijs</driver>
      <printer>printer/HP-PhotoSmart_8400</printer>
     </constraint>
     <constraint sense='false'>
      <driver>hpijs</driver>
      <printer>printer/HP-PhotoSmart_8700</printer>
     </constraint>
    </constraints>:' %buildroot%{_datadir}/foomatic/db/source/opt/hpijs-InputSlot.xml

##### FILES

%files
%defattr(-,root,root)
%doc README USAGE ChangeLog
%_datadir/foomatic/db/*/*/*.xml

##### CLEAN UP

%clean
rm -rf %{buildroot}


%changelog
* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 20090208-2mdv2010.0
+ Revision: 424474
- rebuild

* Sun Feb 08 2009 Frederik Himpe <fhimpe@mandriva.org> 20090208-1mdv2009.1
+ Revision: 338534
- Update to new snapshot 20090208

* Sat Jan 03 2009 Frederik Himpe <fhimpe@mandriva.org> 20090103-1mdv2009.1
+ Revision: 323851
- Update to new version 20090103

* Sun Aug 10 2008 Frederik Himpe <fhimpe@mandriva.org> 20080810-1mdv2009.0
+ Revision: 270351
- Update to new version 20080810

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 20080518-2mdv2009.0
+ Revision: 232951
- fix build

* Sun May 18 2008 Frederik Himpe <fhimpe@mandriva.org> 20080518-1mdv2009.0
+ Revision: 208688
- New version
- Adapt to new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20070820-3mdv2008.1
+ Revision: 125178
- kill re-definition of %%buildroot on Pixel's request

* Thu Sep 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 20070820-3mdv2008.0
+ Revision: 84995
- Do not requires ghostscript and hplip-hpijs packages, as this package is just
  an information database.

* Wed Sep 12 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 20070820-2mdv2008.0
+ Revision: 84730
- Specfile cleanup.
- New upstream: 20070820

* Thu Jun 28 2007 Adam Williamson <awilliamson@mandriva.org> 20070627-1mdv2008.0
+ Revision: 45330
- new snapshot 20070627, clean spec, rebuild for 2008


* Mon Aug 28 2006 Till Kamppeter <till@mandriva.com> 2.6.7-1.20060828.1mdk
- Updated foomatic-db-hpijs to the state of the 28/08/2006 (Updates for
  HPLIP 1.6.7/HPIJS 2.6.7).

* Wed May 10 2006 Till Kamppeter <till@mandriva.com> 2.1.10-1.20060510.1mdk
- Updated foomatic-db-hpijs to the state of the 10/05/2006 (Updates for
  HPLIP 0.9.11/HPIJS 2.1.10).

* Wed Mar 29 2006 Till Kamppeter <till@mandriva.com> 2.1.9-1.20060329.1mdk
- Updated foomatic-db-hpijs to the state of the 29/03/2006 (Updates for
  HPLIP 0.9.9/HPIJS 2.1.9, no update for HPLIP 0.9.10 needed).

* Tue Mar 07 2006 Till Kamppeter <till@mandriva.com> 2.1.8-1.20060307.1mdk
- Updated foomatic-db-hpijs to the state of the 07/03/2006 (Added HP
  DeskJet F300).

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 2.1.8-1.20060224.1mdk
- Updated foomatic-db-hpijs to the state of the 24/02/2006 (Some new laser
  printers added).

* Fri Feb 17 2006 Till Kamppeter <till@mandriva.com> 2.1.8-1.20060217.1mdk
- Updated foomatic-db-hpijs to the state of the 17/02/2006 (Updates for
  HPLIP 0.9.8/HPIJS 2.1.8).

* Wed Oct 26 2005 Till Kamppeter <till@mandriva.com> 2.1.6-1.20051026.1mdk
- Updated foomatic-db-hpijs to the state of the 26/10/2005 (Updates for
  HPLIP 0.9.6/HPIJS 2.1.6).

* Thu Sep 01 2005 Till Kamppeter <till@mandriva.com> 2.1.4-1.20050901.1mdk
- Updated foomatic-db-hpijs to the state of the 01/09/2005 (New printers: 
  HP Photosmart 420, 470, 2570, PSC 1400, 1510, OfficeJet 5600).

* Wed Aug 31 2005 Till Kamppeter <till@mandriva.com> 2.1.4-1.20050803.2mdk
- Made the upper tray the default for the HP PhotoSmart 8xxx series and
  removed the "Default" tray setting, it leads to paper jams.

* Tue Aug 02 2005 Till Kamppeter <till@mandriva.com> 2.1.4-1.20050803.1mdk
- Updated foomatic-db-hpijs to the state of the 03/08/2005 (updates for 
  HPLIP 0.9.4/HPIJS 2.1.4).

* Thu May 19 2005 Till Kamppeter <till@mandrakesoft.com> 2.1.3-1.20050518.1mdk
- Updated foomatic-db-hpijs to the state of the 18/05/2005 (updates for 
  HPLIP 0.9.3/HPIJS 2.1.3).

* Mon Apr 04 2005 Till Kamppeter <till@mandrakesoft.com> 2.1.2-1.20050419.1mdk
- Updated foomatic-db-hpijs to the state of the 19/04/2005 (updates for 
  HPLIP 0.9.2/HPIJS 2.1.2).

* Mon Apr 04 2005 Till Kamppeter <till@mandrakesoft.com> 2.1.1-1.20050404.1mdk
- Updated foomatic-db-hpijs to the state of the 04/04/2005 (updates for 
  HPLIP 0.9.1/HPIJS 2.1.1).

* Wed Mar 30 2005 Till Kamppeter <till@mandrakesoft.com> 2.1-1.20050330.1mdk
- Updated foomatic-db-hpijs to the state of the 30/03/2005 (updates for 
  HPLIP 0.9/HPIJS 2.1).

* Wed Mar 23 2005 Till Kamppeter <till@mandrakesoft.com> 2.0.2-1.20050318.2mdk
- Introduced test for compatibility of the Foomatic data with the actual 
  HPIJS driver
- Fixed bug 14909 of HP DeskJet 37xx having wrong IJS model entry
- Removed data for printers not supported yet (LaserJet 101x, Color LaserJet
  35xx).

* Thu Mar 17 2005 Till Kamppeter <till@mandrakesoft.com> 2.0.2-1.20050318.1mdk
- Updated foomatic-db to the state of the 18/03/2005 (New printers: HP
  DskJet 6600, 9800, fixed paper tray selection for the Business Inkjets).

* Tue Feb 08 2005 Till Kamppeter <till@mandrakesoft.com> 2.0.0-1.20050128.2mdk
- Deactivated pre/post-install scripts.

* Fri Feb 04 2005 Till Kamppeter <till@mandrakesoft.com> 2.0.0-1.20050128.1mdk
- Updated foomatic-db to the state of the 28/01/2005.

